## netdata-v1.35.1.tar.gz

=== mqtt_websockets/Makefile ===
# Copyright (C) 2020 Timotej Šiškovič
# SPDX-License-Identifier: GPL-3.0-only
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free Software Foundation, version 3.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
# without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with this program.
# If not, see <https://www.gnu.org/licenses/>.

CC = gcc -std=gnu99
CFLAGS = -Wextra -Wall `pkg-config --cflags openssl` `pkg-config --cflags libcrypto`
BUILD_DIR = build

# dir having our version of mqtt_pal.h must preceede dir of MQTT-C to override this hdr
INCLUDES = -Isrc/include -Ic-rbuf/include -Imqtt/include -IMQTT-C/include

all: test

c-rbuf/build/ringbuffer.o:
	cd c-rbuf && $(MAKE) build/ringbuffer.o

$(BUILD_DIR)/ws_client.o: src/ws_client.c src/include/ws_client.h src/include/common_internal.h
	$(CC) -o $(BUILD_DIR)/ws_client.o -c src/ws_client.c $(CFLAGS) $(INCLUDES)

$(BUILD_DIR)/test.o: src/test.c src/include/ws_client.h libmqttwebsockets.a
	$(CC) -o $(BUILD_DIR)/test.o -c src/test.c $(CFLAGS) $(INCLUDES)

$(BUILD_DIR)/mqtt_wss_log.o: src/mqtt_wss_log.c src/include/mqtt_wss_log.h
	$(CC) -o $(BUILD_DIR)/mqtt_wss_log.o -c src/mqtt_wss_log.c $(CFLAGS) $(INCLUDES)

$(BUILD_DIR)/mqtt_wss_client.o: src/mqtt_wss_client.c src/include/mqtt_wss_client.h src/include/ws_client.h MQTT-C/include/mqtt.h src/include/common_internal.h $(BUILD_DIR)/common_public.o
	$(CC) -o $(BUILD_DIR)/mqtt_wss_client.o -c src/mqtt_wss_client.c $(CFLAGS) $(INCLUDES)

$(BUILD_DIR)/mqtt_ng.o: src/mqtt_ng.c src/include/mqtt_ng.h src/include/common_internal.h $(BUILD_DIR)/common_public.o
	$(CC) -o $(BUILD_DIR)/mqtt_ng.o -c src/mqtt_ng.c $(CFLAGS) $(INCLUDES)

$(BUILD_DIR)/common_public.o: src/common_public.c src/include/common_public.h
	$(CC) -o $(BUILD_DIR)/common_public.o -c src/common_public.c $(CFLAGS) $(INCLUDES)

libmqttwebsockets.a: $(BUILD_DIR)/mqtt_wss_client.o $(BUILD_DIR)/ws_client.o c-rbuf/build/ringbuffer.o $(BUILD_DIR)/mqtt.o $(BUILD_DIR)/mqtt_wss_log.o $(BUILD_DIR)/mqtt_ng.o $(BUILD_DIR)/common_public.o
	ar rcs libmqttwebsockets.a $(BUILD_DIR)/mqtt_wss_client.o $(BUILD_DIR)/ws_client.o c-rbuf/build/ringbuffer.o $(BUILD_DIR)/mqtt.o $(BUILD_DIR)/mqtt_wss_log.o $(BUILD_DIR)/mqtt_ng.o $(BUILD_DIR)/common_public.o

test: $(BUILD_DIR)/test.o libmqttwebsockets.a
	$(CC) -o test $(BUILD_DIR)/test.o libmqttwebsockets.a `pkg-config --libs openssl` -lpthread $(CFLAGS)

$(BUILD_DIR)/mqtt.o: MQTT-C/src/mqtt.c MQTT-C/include/mqtt.h src/include/mqtt_pal.h
	$(CC) -o $(BUILD_DIR)/mqtt.o -c MQTT-C/src/mqtt.c $(CFLAGS) $(INCLUDES)

clean:
	rm -f $(BUILD_DIR)/*
	cd c-rbuf && $(MAKE) clean
	rm -f test libmqttwebsockets.a

install:

dist:

distdir:

=== mqtt_websockets/MQTT-C/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(MQTT-C VERSION 1.1.2 LANGUAGES C)

# MQTT-C build options
option(MQTT_C_OpenSSL_SUPPORT "Build MQTT-C with OpenSSL support?" OFF)
option(MQTT_C_MbedTLS_SUPPORT "Build MQTT-C with mbed TLS support?" OFF)
option(MQTT_C_BearSSL_SUPPORT "Build MQTT-C with Bear SSL support?" OFF)
option(MQTT_C_EXAMPLES "Build MQTT-C examples?" ON)
option(MQTT_C_TESTS "Build MQTT-C tests?" OFF)

list (APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

# MQTT-C library
add_library(mqttc STATIC
    src/mqtt_pal.c
    src/mqtt.c
)
target_include_directories(mqttc PUBLIC include)
target_link_libraries(mqttc PUBLIC 
    $<$<C_COMPILER_ID:MSVC>:ws2_32>
)

if(MQTT_C_BearSSL_SUPPORT)
    set(bearssl_root "$ENV{BEARSSL_ROOT}")

    set(bearssl_include "${bearssl_root}/include")
    find_file(bearinc NAMES bearssl.h PATHS "${bearssl_include}")

    if ("${bearinc}" STREQUAL "bearinc-NOTFOUND")
        MESSAGE(FATAL_ERROR "BEARSSL_ROOT does not contain include/bearssl.h")
    endif()

    set(bearssl_lib "${bearssl_root}/lib")
    find_library(bearlib NAMES libbearssl.a bearssl.lib PATHS "{bearssl_lib}")

    if("${bearlib}" STREQUAL "bearlib-NOTFOUND")
        MESSAGE(FATAL_ERROR "BEARSSL_ROOT does not contain lib with bearssl library")
    endif()

    get_filename_component(bearinc "${bearinc}" DIRECTORY)
    get_filename_component(bearlib2 "${bearlib}" DIRECTORY)

    target_include_directories(mqttc PUBLIC bearsslinc)
    target_link_libraries(mqttc INTERFACE "${bearlib}")
    target_compile_definitions(mqttc PUBLIC MQTT_USE_BEARSSL)
endif()

# Configure with OpenSSL support
if(MQTT_C_OpenSSL_SUPPORT)
    find_package(OpenSSL REQUIRED)
    target_link_libraries(mqttc INTERFACE OpenSSL::SSL)
    target_compile_definitions(mqttc PUBLIC MQTT_USE_BIO)
endif()

# Configure with mbed TLS support
if(MQTT_C_MbedTLS_SUPPORT)
    find_package(MbedTLS REQUIRED)
    target_include_directories(mqttc PUBLIC ${MBEDTLS_INCLUDE_DIRS})
    target_link_libraries(mqttc INTERFACE ${MBEDTLS_LIBRARY})
    target_compile_definitions(mqttc PUBLIC MQTT_USE_MBEDTLS)
endif()

# Build examples
if(MQTT_C_EXAMPLES)
    find_package(Threads REQUIRED)

    if(MQTT_C_OpenSSL_SUPPORT)
        if(MSVC)
            add_executable(bio_publisher examples/bio_publisher_win.c)
            add_executable(openssl_publisher examples/openssl_publisher_win.c)
        else()
            add_executable(bio_publisher examples/bio_publisher.c)
            add_executable(openssl_publisher examples/openssl_publisher.c)
        endif()

        target_link_libraries(bio_publisher Threads::Threads mqttc)
        target_link_libraries(openssl_publisher Threads::Threads mqttc)
    elseif(MQTT_C_MbedTLS_SUPPORT)
        add_executable(mbedtls_publisher examples/mbedtls_publisher.c)
        target_link_libraries(mbedtls_publisher Threads::Threads mqttc ${MBEDX509_LIBRARY} ${MBEDCRYPTO_LIBRARY})
    elseif(MQTT_C_BearSSL_SUPPORT)
        add_executable(bearssl_publisher examples/bearssl_publisher.c)
        target_link_libraries(bearssl_publisher mqttc bearssl)
    else()
        add_executable(simple_publisher examples/simple_publisher.c)
        target_link_libraries(simple_publisher Threads::Threads mqttc)

        add_executable(simple_subscriber examples/simple_subscriber.c)
        target_link_libraries(simple_subscriber Threads::Threads mqttc)

        add_executable(reconnect_subscriber examples/reconnect_subscriber.c)
        target_link_libraries(reconnect_subscriber Threads::Threads mqttc)
    endif()
endif()

# Build tests
if(MQTT_C_TESTS)
    find_path(CMOCKA_INCLUDE_DIR cmocka.h)
    find_library(CMOCKA_LIBRARY cmocka)
    if((NOT CMOCKA_INCLUDE_DIR) OR (NOT CMOCKA_LIBRARY))
        message(FATAL_ERROR "Failed to find cmocka! Add cmocka's install prefix to CMAKE_PREFIX_PATH to resolve this error.")
    endif()

    add_executable(tests tests.c)
    target_link_libraries(tests ${CMOCKA_LIBRARY} mqttc)
    target_include_directories(tests PRIVATE ${CMOCKA_INCLUDE_DIR})
endif()

# Install includes and library
install(TARGETS mqttc 
    DESTINATION lib
)
install(DIRECTORY include/
    DESTINATION include)

=== contrib/debian/control ===
Source: netdata
Build-Depends: debhelper (>= 9.20160709),
               dh-autoreconf,
               dpkg-dev (>= 1.13.19),
               zlib1g-dev,
               uuid-dev,
               libelf-dev,
               libuv1-dev,
               liblz4-dev,
               libjudy-dev,
               libssl-dev,
               libmnl-dev,
               libjson-c-dev,
               libcups2-dev,
               libipmimonitoring-dev,
               libnetfilter-acct-dev,
               libsnappy-dev,
               libprotobuf-dev,
               libprotoc-dev,
               cmake,
               autogen,
               autoconf,
               automake,
               pkg-config,
               curl,
               protobuf-compiler
Section: net
Priority: optional
Maintainer: Netdata Builder <bot@netdata.cloud>
Standards-Version: 3.9.6
Homepage: https://netdata.cloud

Package: netdata
Architecture: any
Depends: adduser,
         libcap2-bin (>= 1:2.0),
         lsb-base (>= 3.1-23.2),
         openssl,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: netdata-core,
           netdata-plugins-bash,
           netdata-plugins-python,
           netdata-web
Pre-Depends: dpkg (>= 1.17.14)
Description: real-time charts for system monitoring
 Netdata is a daemon that collects data in realtime (per second)
 and presents a web site to view and analyze them. The presentation
 is also real-time and full of interactive charts that precisely
 render all collected values.

Package: netdata-plugin-cups
Architecture: any
Depends: cups,
         ${shlibs:Depends},
         netdata (>= ${source:Version})
Description: The Common Unix Printing System plugin for metrics collection from cupsd

Package: netdata-plugin-freeipmi
Architecture: any
Depends: freeipmi,
         ${shlibs:Depends},
         netdata (= ${source:Version})
Description: FreeIPMI - The Intelligent Platform Management System.
 The IPMI specification defines a set of interfaces for platform management.
 It is implemented by a number vendors for system management. The features of IPMI that most users will be interested in
 are sensor monitoring, system event monitoring, power control, and serial-over-LAN (SOL).
